#include "/ModePro.h"

#define CATCOMP_NUMBERS
#include "mplocale.h"

#define EVT_HOTKEY 0

/*** PROTOTYPES ***/
BOOL GetArgs(int argc, char **argv);
void CleanupArgs(int argc);
BOOL DaemonLoadFile(STRPTR FileName);


/**** DefaultNode Funcs ****/
struct  DefaultNode *FindDNode(struct List *list,UBYTE *name);

void    AddDNode(ULONG dest, struct DefaultNode *n);
void RemDNode(struct DefaultNode *DN);

/**** Public Screen ()'s ****/
void    FreeOpenNode(struct OpenNode *on);
void    ClosePubScreens(void);
void    FreeWBOpenNode(void);

/**** Locale ()'s ****/
STRPTR  GetString( LONG stringNum);
void    InitStrings(void);

/*** IO() ***/
BOOL    ShowGUI(void);
void    HideGUI(void);
void    ProcessInput(void);
void    ProcessMPMessages(void);


/**** Files ****/

/**** Requesters ****/

/**** Clean Up ()'s ****/
void    CheckToQuit(void);
void    CleanUp(void);

LONG SendPrefsMsg(ULONG Command, ULONG Code, APTR Data);

/**** Patch functions ****/
struct Screen __asm __saveds  *NewOpenScreen(register __a0 struct ExtNewScreen *ns);
struct Screen __asm __saveds  *NewOpenScreenTagList(register __a0 struct ExtNewScreen *ns,
                                                    register __a1 struct TagItem *taglist );
BOOL __saveds __asm NewCloseScreen(register __a0 struct Screen *S);
struct Window __saveds __asm *NewOpenWindow(register __a0 struct ExtNewWindow *nw);
struct Window __saveds __asm *NewOpenWindowTagList(register __a0 struct ExtNewWindow *nw,
                                                   register __a1 struct TagItem *tags);
BOOL __saveds __asm NewLayoutMenusA(register __a0 struct Menu *fm,
                                    register __a1 APTR vi, 
                                    register __a2 struct TagItem *tags);
LONG __saveds ASM NewCloseWorkBench(void);
